#
# spec file for package strace (Version 4.5.19)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           strace
BuildRequires:  libacl-devel
License:        BSD3c
Group:          Development/Tools/Debuggers
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      strace-64bit
%endif
#
Version:        4.5.19
Release:        1
Summary:        A utility to trace the system calls of a program
Source:         http://dl.sourceforge.net/strace/strace-%{version}.tar.bz2
Source2:        baselibs.conf
Patch:          strace-%{version}.diff
Url:            http://sourceforge.net/projects/strace/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
With strace, you can trace the activity of a program.  Information
about any system calls the program makes and the signals it receives
and processes can be seen.  Child processes can also be tracked.



Authors:
--------
    Paul Kranenburg  <pk@cs.few.eur.nl>
    Branko Lankester <branko@hacktic.nl>
    Rick Sladkey <rs@world.std.com>

%prep
%setup -q
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
%ifarch alpha
CFLAGS="$CFLAGS -ffixed-8"
%endif
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README-linux NEWS
%{_prefix}/bin/strace
%{_prefix}/bin/strace-graph
%doc %{_mandir}/man1/strace.1.gz

%changelog
